@import url(https://fonts.googleapis.com/css?family=Raleway:400,500,800);

figure.snip1213 {
    font-family: 'Raleway', Arial, sans-serif;
    color: #fff;
    position: relative;
    overflow: hidden;
    margin: 10px;
    min-width: 220px;
    max-width: 310px;
    max-height: 220px;
    width: 100%;
    color: #ffffff;
    text-align: left;
    background-color: #003B5C !important;
    font-size: 16px;
    -webkit-perspective: 50em;
    perspective: 50em;
}

figure.snip1213 * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: all 0.6s ease;
    transition: all 0.6s ease;
}

figure.snip1213 img {
    max-width: 100%;
    -webkit-transform-origin: 100% 50%;
    transform-origin: 100% 50%;
}

figure.snip1213 figcaption {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    -webkit-transform: rotateY(90deg) translate(0%, -50%);
    transform: rotateY(90deg) translate(0%, -50%);
    -webkit-transform-origin: 0 50%;
    transform-origin: 0 50%;
    z-index: 1;
    opacity: 0;
    padding: 0 30px;
}

figure.snip1213 h3,
figure.snip1213 p {
    line-height: 1.5em;
}

figure.snip1213 h3 {
    margin: 0;
    font-weight: 800;
    text-transform: uppercase;
}

figure.snip1213 p {
    font-size: 0.8em;
    font-weight: 500;
    margin: 0 0 15px;
}

figure.snip1213 .read-more {
    border: 2px solid #ffffff;
    padding: 0.5em 1em;
    font-size: 0.8em;
    text-decoration: none;
    color: #ffffff;
    display: inline-block;
}

figure.snip1213 .read-more:hover {
    background-color: #ffffff;
    color: #000000;
}

figure.snip1213:hover img,
figure.snip1213.hover img {
    -webkit-transform: rotateY(-90deg);
    transform: rotateY(-90deg);
    opacity: 0;
}

figure.snip1213:hover figcaption,
figure.snip1213.hover figcaption {
    -webkit-transform: rotateY(0deg) translate(0, -50%);
    transform: rotateY(0deg) translate(0, -50%);
    opacity: 1;
    -webkit-transition-delay: 0.2s;
    transition-delay: 0.2s;
}